// Main container

.#{$namespace}-hero
  align-items: stretch
  display: flex
  flex-direction: column
  justify-content: space-between
  position: relative
  overflow: hidden
  
  &[dark]
    *
      color: white
  .#{$namespace}-navbar
    background: none
  .#{$namespace}-tabs
    ul
      border-bottom: none
  // Colors
  @each $name, $pair in $colors
    $color: nth($pair, 1)
    $color-invert: nth($pair, 2)
    &.is-#{$name}
      background-color: $color
      color: $color-invert
      a:not(.button):not(.dropdown-item):not(.tag),
      strong
        color: inherit
      .#{$namespace}-title
        color: $color-invert
      .#{$namespace}-subtitle
        color: rgba($color-invert, 0.9)
        a:not(.button),
        strong
          color: $color-invert
      .#{$namespace}-navbar-menu
        +touch
          background-color: $color
      .#{$namespace}-navbar-item,
      .#{$namespace}-navbar-link
        color: rgba($color-invert, 0.7)
      a.#{$namespace}-navbar-item,
      .#{$namespace}-navbar-link
        &:hover,
        &.is-active
          background-color: darken($color, 5%)
          color: $color-invert
      .#{$namespace}-tabs
        a
          color: $color-invert
          opacity: 0.9
          &:hover
            opacity: 1
        li
          &.is-active a
            opacity: 1
        &.is-boxed,
        &.is-toggle
          a
            color: $color-invert
            &:hover
              background-color: rgba($black, 0.1)
          li.is-active a
            &,
            &:hover
              background-color: $color-invert
              border-color: $color-invert
              color: $color
      // Modifiers
      &.has-gradient
        &:before
          content: ''
          position: absolute
          top: 0
          left: 0
          right: 0
          bottom: 0
          $gradient-top-left: darken(saturate(adjust-hue($color, -10deg), 10%), 10%)
          $gradient-bottom-right: lighten(saturate(adjust-hue($color, 10deg), 5%), 5%)
          background-image: linear-gradient(141deg, $gradient-top-left 0%, $color 71%, $gradient-bottom-right 100%)
          z-index: 0
          +mobile
            .#{$namespace}-navbar-menu
              background-image: linear-gradient(141deg, $gradient-top-left 0%, $color 71%, $gradient-bottom-right 100%)
      // Responsiveness
      +mobile
        .#{$namespace}nav-toggle
          span
            background-color: $color-invert
          &:hover
            background-color: rgba($black, 0.1)
          &.is-active
            span
              background-color: $color-invert
        .#{$namespace}nav-menu
          .nav-item
            border-top-color: rgba($color-invert, 0.2)
  // Sizes
  &.is-small
    .#{$namespace}-hero-body
      padding-bottom: 1.5rem
      padding-top: 1.5rem
  &.is-medium
    +tablet
      .#{$namespace}-hero-body
        padding-bottom: 9rem
        padding-top: 9rem
  &.is-large
    +tablet
      .#{$namespace}-hero-body
        padding-bottom: 18rem
        padding-top: 18rem
  &.is-halfheight,
  &.is-fullheight
    .#{$namespace}-hero-body
      align-items: center
      display: flex
      & > .#{$namespace}-container
        flex-grow: 1
        flex-shrink: 1
  &.is-halfheight
    min-height: 50vh
  &.is-fullheight
    min-height: 100vh
    .#{$namespace}-hero-body
      min-height: 100vh

  &.has-image, &.has-overlay
    &:before 
      content: ''
      position: absolute
      top: 0
      left: 0
      right: 0
      bottom: 0
      background-color: nth($black-lighten, 1)
      opacity: .5

// Components

.#{$namespace}-hero-video
  +overlay
  overflow: hidden
  video
    left: 50%
    min-height: 100%
    min-width: 100%
    position: absolute
    top: 50%
    transform: translate3d(-50%, -50%, 0)
  // Modifiers
  &.is-transparent
    opacity: 0.3
  // Responsiveness
  +mobile
    display: none

.#{$namespace}-hero-buttons
  margin-top: 1.5rem
  // Responsiveness
  +mobile
    .button
      display: flex
      &:not(:last-child)
        margin-bottom: 0.75rem
  +tablet
    display: flex
    justify-content: center
    .button:not(:last-child)
      margin-right: 1.5rem

// Containers

.#{$namespace}-hero-head,
.#{$namespace}-hero-foot
  flex-grow: 0
  flex-shrink: 0

.#{$namespace}-hero-body
  flex-grow: 1
  flex-shrink: 0
  padding: 3rem 1.5rem
